Set WshShell = WScript.CreateObject("WScript.Shell")
If WScript.Arguments.length = 0 Then
	Set ObjShell = CreateObject("Shell.Application")
	ObjShell.ShellExecute "wscript.exe", """" & _
	WScript.ScriptFullName & """" &_
	" RunAsAdministrator", , "runas", 1
	WScript.Quit
End If

Dim objProgressMsg
Set WshShell = CreateObject("WScript.Shell")
OsType = WshShell.RegRead("HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment\PROCESSOR_ARCHITECTURE")

If(OsType = "x86") Then
	for32Bit()
Else
	for64Bit()
	for32Bit()
End If

Function SelectFolder( myStartFolder, message )
    Dim objFolder, objItem, objShell
	On Error Resume Next
		SelectFolder = vbNull
		Set objShell  = CreateObject( "Shell.Application" )
		Set objFolder = objShell.BrowseForFolder( 0, message, 0, myStartFolder )
		If IsObject( objfolder ) Then SelectFolder = objFolder.Self.Path
		Set objFolder = Nothing
		Set objshell  = Nothing
    On Error Goto 0
End Function

Function for32Bit()
	Set wshShell = CreateObject("WScript.Shell")
	OsType = WshShell.RegRead("HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment\PROCESSOR_ARCHITECTURE")
	If(OsType = "x86") Then
		strPath = SelectFolder(wshShell.ExpandEnvironmentStrings("%PROGRAMFILES%"), "Please Select the Adobe InDesign\InCopy CC 32 Bit application folder")
	Else
		strPath = SelectFolder(wshShell.ExpandEnvironmentStrings("%PROGRAMFILES(x86)%"), "Please Select the Adobe InDesign\InCopy CC 32 Bit application folder")
	End If
	If(InStr(strPath, "Adobe InDesign CC") Or InStr(strPath, "Adobe InCopy CC")) Then
		Set fso = CreateObject("Scripting.FileSystemObject") 
		parentPath = fso.GetParentFolderName(wscript.ScriptFullName) 
		charpln = parentPath + "\win32\Character Panel.apln"
		fontpln = parentPath + "\win32\Font Manager.rpln"
	
		toCopytoPathcharpln = strPath + "\Plug-Ins\Text\"
		toCopytoPathfontpln = strPath + "\Required\"
		
		ProgressMsg "Installing, character Panel Plugin for 32 Bit Application", ""
		WScript.Sleep 500
		Call copyTheFiles( charpln,toCopytoPathcharpln )
		
		ProgressMsg "Installing, Font Manager Plugin for 32 Bit Application", ""
		WScript.Sleep 500
		Call copyTheFiles( fontpln,toCopytoPathfontpln )
		ProgressMsg "Installation of 32 Bit plugins completed.", "Done"
		
	Else
		MsgBox "Incorrect path selected. Please try again and select the folder Adobe InDesign\InCopy CC", 16, "ERROR"
		WScript.Quit
	End If
End Function

Function for64Bit()
	strPath = SelectFolder(wshShell.ExpandEnvironmentStrings("%PROGRAMFILES%"), "Please Select the Adobe InDesign\InCopy CC 64 Bit application folder")
	If(InStr(strPath, "Adobe InDesign CC (64 bit)") Or InStr(strPath, "Adobe InCopy CC (64 bit)")) Then
		Set fso = CreateObject("Scripting.FileSystemObject") 
		parentPath = fso.GetParentFolderName(wscript.ScriptFullName) 
		charpln = parentPath + "\win64\Character Panel.apln"
		fontpln = parentPath + "\win64\Font Manager.rpln"
	
		toCopytoPathcharpln = strPath + "\Plug-Ins\Text\"
		toCopytoPathfontpln = strPath + "\Required\"
		ProgressMsg "Installing, character Panel Plugin for 64 Bit Application", ""
		WScript.Sleep 500
		Call copyTheFiles( charpln,toCopytoPathcharpln )
		ProgressMsg "Installing, Font Manager Plugin for 64 Bit Application", ""
		WScript.Sleep 500
		Call copyTheFiles( fontpln,toCopytoPathfontpln )
		ProgressMsg "", ""
		MsgBox "Installation of Plugins for 64 bit application complete. Repeating the process for 32 Bit application. Press Ok to continue", 0, ""
		
	Else
		MsgBox "Incorrect path selected. Please try again and select the folder Adobe InDesign\InCopy CC (64)", 16, "ERROR"
		WScript.Quit
	End If
End Function

Function copyTheFiles( source, destination )
	Set objFSO = CreateObject("Scripting.FileSystemObject")
	If objFSO.FolderExists(destination) And objFSO.FileExists(source) Then
		objFSO.CopyFile source, destination, True
	Else
		MsgBox "Error copying the file. Source or destination path could not be found", 16, "ERROR"
		WScript.Quit
	End If
End Function

Function ProgressMsg( strMessage, strWindowTitle )

    Set wshShell = WScript.CreateObject( "WScript.Shell" )
    strTEMP = wshShell.ExpandEnvironmentStrings( "%TEMP%" )
    If strMessage = "" Then
        
        On Error Resume Next
        objProgressMsg.Terminate( )
        On Error Goto 0
        Exit Function
    End If
    Set objFSO = CreateObject("Scripting.FileSystemObject")
    strTempVBS = strTEMP + "\" & "Message.vbs"    

    Set objTempMessage = objFSO.CreateTextFile( strTempVBS, True )
    objTempMessage.WriteLine( "MsgBox""" & strMessage & """, 4096, """ & strWindowTitle & """" )
    objTempMessage.Close

	On Error Resume Next
    objProgressMsg.Terminate( )
    On Error Goto 0

    Set objProgressMsg = WshShell.Exec( "%windir%\system32\wscript.exe " & strTempVBS )

    Set wshShell = Nothing
    Set objFSO   = Nothing
End Function